"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "View and manage your data across Google Cloud Platform services" }, "https://www.googleapis.com/auth/datastore": { "description": "View and manage your Google Cloud Datastore data" } } } }, "kind": "discovery#restDescription", "description": "Accesses the schemaless NoSQL database to provide fully managed, robust, scalable storage for your application.\n", "servicePath": "", "rootUrl": "https://datastore.googleapis.com/", "basePath": "", "ownerDomain": "google.com", "name": "datastore", "batchPath": "batch", "revision": "20180908", "id": "datastore:v1beta3", "documentationLink": "https://cloud.google.com/datastore/", "title": "Cloud Datastore API", "discoveryVersion": "v1", "ownerName": "Google", "version_module": true, "resources": { "projects": { "methods": { "beginTransaction": { "response": { "$ref": "BeginTransactionResponse" }, "parameterOrder": ["projectId"], "httpMethod": "POST", "parameters": { "projectId": { "location": "path", "description": "The ID of the project against which to make the request.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore"], "flatPath": "v1beta3/projects/{projectId}:beginTransaction", "path": "v1beta3/projects/{projectId}:beginTransaction", "id": "datastore.projects.beginTransaction", "description": "Begins a new transaction.", "request": { "$ref": "BeginTransactionRequest" } }, "commit": { "httpMethod": "POST", "parameterOrder": ["projectId"], "response": { "$ref": "CommitResponse" }, "parameters": { "projectId": { "required": true, "type": "string", "location": "path", "description": "The ID of the project against which to make the request." } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore"], "flatPath": "v1beta3/projects/{projectId}:commit", "id": "datastore.projects.commit", "path": "v1beta3/projects/{projectId}:commit", "description": "Commits a transaction, optionally creating, deleting or modifying some\nentities.", "request": { "$ref": "CommitRequest" } }, "reserveIds": { "response": { "$ref": "ReserveIdsResponse" }, "parameterOrder": ["projectId"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore"], "parameters": { "projectId": { "location": "path", "description": "The ID of the project against which to make the request.", "required": true, "type": "string" } }, "flatPath": "v1beta3/projects/{projectId}:reserveIds", "path": "v1beta3/projects/{projectId}:reserveIds", "id": "datastore.projects.reserveIds", "request": { "$ref": "ReserveIdsRequest" }, "description": "Prevents the supplied keys' IDs from being auto-allocated by Cloud\nDatastore." }, "rollback": { "description": "Rolls back a transaction.", "request": { "$ref": "RollbackRequest" }, "response": { "$ref": "RollbackResponse" }, "parameterOrder": ["projectId"], "httpMethod": "POST", "parameters": { "projectId": { "location": "path", "description": "The ID of the project against which to make the request.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore"], "flatPath": "v1beta3/projects/{projectId}:rollback", "path": "v1beta3/projects/{projectId}:rollback", "id": "datastore.projects.rollback" }, "runQuery": { "response": { "$ref": "RunQueryResponse" }, "parameterOrder": ["projectId"], "httpMethod": "POST", "parameters": { "projectId": { "description": "The ID of the project against which to make the request.", "required": true, "type": "string", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore"], "flatPath": "v1beta3/projects/{projectId}:runQuery", "path": "v1beta3/projects/{projectId}:runQuery", "id": "datastore.projects.runQuery", "description": "Queries for entities.", "request": { "$ref": "RunQueryRequest" } }, "lookup": { "httpMethod": "POST", "parameterOrder": ["projectId"], "response": { "$ref": "LookupResponse" }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore"], "parameters": { "projectId": { "description": "The ID of the project against which to make the request.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1beta3/projects/{projectId}:lookup", "id": "datastore.projects.lookup", "path": "v1beta3/projects/{projectId}:lookup", "request": { "$ref": "LookupRequest" }, "description": "Looks up entities by key." }, "allocateIds": { "id": "datastore.projects.allocateIds", "path": "v1beta3/projects/{projectId}:allocateIds", "description": "Allocates IDs for the given keys, which is useful for referencing an entity\nbefore it is inserted.", "request": { "$ref": "AllocateIdsRequest" }, "httpMethod": "POST", "parameterOrder": ["projectId"], "response": { "$ref": "AllocateIdsResponse" }, "parameters": { "projectId": { "location": "path", "description": "The ID of the project against which to make the request.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore"], "flatPath": "v1beta3/projects/{projectId}:allocateIds" } } } }, "parameters": { "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "$.xgafv": { "enum": ["1", "2"], "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"], "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "alt": { "enum": ["json", "media", "proto"], "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" } }, "schemas": { "RunQueryResponse": { "description": "The response for Datastore.RunQuery.", "type": "object", "properties": { "query": { "$ref": "Query", "description": "The parsed form of the `GqlQuery` from the request, if it was set." }, "batch": { "$ref": "QueryResultBatch", "description": "A batch of query results (always present)." } }, "id": "RunQueryResponse" }, "LookupResponse": { "description": "The response for Datastore.Lookup.", "type": "object", "properties": { "deferred": { "description": "A list of keys that were not looked up due to resource constraints. The\norder of results in this field is undefined and has no relation to the\norder of the keys in the input.", "type": "array", "items": { "$ref": "Key" } }, "found": { "description": "Entities found as `ResultType.FULL` entities. The order of results in this\nfield is undefined and has no relation to the order of the keys in the\ninput.", "type": "array", "items": { "$ref": "EntityResult" } }, "missing": { "description": "Entities not found as `ResultType.KEY_ONLY` entities. The order of results\nin this field is undefined and has no relation to the order of the keys\nin the input.", "type": "array", "items": { "$ref": "EntityResult" } } }, "id": "LookupResponse" }, "AllocateIdsRequest": { "description": "The request for Datastore.AllocateIds.", "type": "object", "properties": { "keys": { "description": "A list of keys with incomplete key paths for which to allocate IDs.\nNo key may be reserved/read-only.", "type": "array", "items": { "$ref": "Key" } } }, "id": "AllocateIdsRequest" }, "CommitRequest": { "description": "The request for Datastore.Commit.", "type": "object", "properties": { "transaction": { "description": "The identifier of the transaction associated with the commit. A\ntransaction identifier is returned by a call to\nDatastore.BeginTransaction.", "format": "byte", "type": "string" }, "mode": { "enumDescriptions": ["Unspecified. This value must not be used.", "Transactional: The mutations are either all applied, or none are applied.\nLearn about transactions [here](https://cloud.google.com/datastore/docs/concepts/transactions).", "Non-transactional: The mutations may not apply as all or none."], "enum": ["MODE_UNSPECIFIED", "TRANSACTIONAL", "NON_TRANSACTIONAL"], "description": "The type of commit to perform. Defaults to `TRANSACTIONAL`.", "type": "string" }, "mutations": { "description": "The mutations to perform.\n\nWhen mode is `TRANSACTIONAL`, mutations affecting a single entity are\napplied in order. The following sequences of mutations affecting a single\nentity are not permitted in a single `Commit` request:\n\n- `insert` followed by `insert`\n- `update` followed by `insert`\n- `upsert` followed by `insert`\n- `delete` followed by `update`\n\nWhen mode is `NON_TRANSACTIONAL`, no two mutations may affect a single\nentity.", "type": "array", "items": { "$ref": "Mutation" } } }, "id": "CommitRequest" }, "BeginTransactionRequest": { "type": "object", "properties": { "transactionOptions": { "description": "Options for a new transaction.", "$ref": "TransactionOptions" } }, "id": "BeginTransactionRequest", "description": "The request for Datastore.BeginTransaction." }, "KindExpression": { "description": "A representation of a kind.", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the kind." } }, "id": "KindExpression" }, "LatLng": { "description": "An object representing a latitude/longitude pair. This is expressed as a pair\nof doubles representing degrees latitude and degrees longitude. Unless\nspecified otherwise, this must conform to the\n<a href=\"http://www.unoosa.org/pdf/icg/2012/template/WGS_84.pdf\">WGS84\nstandard</a>. Values must be within normalized ranges.", "type": "object", "properties": { "latitude": { "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "format": "double", "type": "number" }, "longitude": { "description": "The longitude in degrees. It must be in the range [-180.0, +180.0].", "format": "double", "type": "number" } }, "id": "LatLng" }, "Key": { "properties": { "path": { "description": "The entity path.\nAn entity path consists of one or more elements composed of a kind and a\nstring or numerical identifier, which identify entities. The first\nelement identifies a _root entity_, the second element identifies\na _child_ of the root entity, the third element identifies a child of the\nsecond entity, and so forth. The entities identified by all prefixes of\nthe path are called the element's _ancestors_.\n\nAn entity path is always fully complete: *all* of the entity's ancestors\nare required to be in the path along with the entity identifier itself.\nThe only exception is that in some documented cases, the identifier in the\nlast path element (for the entity) itself may be omitted. For example,\nthe last path element of the key of `Mutation.insert` may have no\nidentifier.\n\nA path can never be empty, and a path can have at most 100 elements.", "type": "array", "items": { "$ref": "PathElement" } }, "partitionId": { "$ref": "PartitionId", "description": "Entities are partitioned into subsets, currently identified by a project\nID and namespace ID.\nQueries are scoped to a single partition." } }, "id": "Key", "description": "A unique identifier for an entity.\nIf a key's partition ID or any of its path kinds or names are\nreserved/read-only, the key is reserved/read-only.\nA reserved/read-only key is forbidden in certain documented contexts.", "type": "object" }, "GoogleDatastoreAdminV1beta1CommonMetadata": { "id": "GoogleDatastoreAdminV1beta1CommonMetadata", "description": "Metadata common to all Datastore Admin operations.", "type": "object", "properties": { "startTime": { "description": "The time that work began on the operation.", "format": "google-datetime", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "The client-assigned labels which were provided when the operation was\ncreated. May also include additional labels.", "type": "object" }, "endTime": { "description": "The time the operation ended, either successfully or otherwise.", "format": "google-datetime", "type": "string" }, "operationType": { "type": "string", "enumDescriptions": ["Unspecified.", "ExportEntities.", "ImportEntities."], "enum": ["OPERATION_TYPE_UNSPECIFIED", "EXPORT_ENTITIES", "IMPORT_ENTITIES"], "description": "The type of the operation. Can be used as a filter in\nListOperationsRequest." }, "state": { "description": "The current state of the Operation.", "type": "string", "enumDescriptions": ["Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called\ngoogle.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called\ngoogle.longrunning.Operations.CancelOperation."], "enum": ["STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED"] } } }, "ArrayValue": { "description": "An array value.", "type": "object", "properties": { "values": { "type": "array", "items": { "$ref": "Value" }, "description": "Values in the array.\nThe order of this array may not be preserved if it contains a mix of\nindexed and unindexed values." } }, "id": "ArrayValue" }, "GoogleDatastoreAdminV1EntityFilter": { "description": "Identifies a subset of entities in a project. This is specified as\ncombinations of kinds and namespaces (either or both of which may be all, as\ndescribed in the following examples).\nExample usage:\n\nEntire project:\n  kinds=[], namespace_ids=[]\n\nKinds Foo and Bar in all namespaces:\n  kinds=['Foo', 'Bar'], namespace_ids=[]\n\nKinds Foo and Bar only in the default namespace:\n  kinds=['Foo', 'Bar'], namespace_ids=['']\n\nKinds Foo and Bar in both the default and Baz namespaces:\n  kinds=['Foo', 'Bar'], namespace_ids=['', 'Baz']\n\nThe entire Baz namespace:\n  kinds=[], namespace_ids=['Baz']", "type": "object", "properties": { "kinds": { "description": "If empty, then this represents all kinds.", "type": "array", "items": { "type": "string" } }, "namespaceIds": { "type": "array", "items": { "type": "string" }, "description": "An empty list represents all namespaces. This is the preferred\nusage for projects that don't use namespaces.\n\nAn empty string element represents the default namespace. This should be\nused if the project has data in non-default namespaces, but doesn't want to\ninclude them.\nEach namespace in this list must be unique." } }, "id": "GoogleDatastoreAdminV1EntityFilter" }, "GoogleDatastoreAdminV1beta1ExportEntitiesResponse": { "description": "The response for\ngoogle.datastore.admin.v1beta1.DatastoreAdmin.ExportEntities.", "type": "object", "properties": { "outputUrl": { "description": "Location of the output metadata file. This can be used to begin an import\ninto Cloud Datastore (this project or another project). See\ngoogle.datastore.admin.v1beta1.ImportEntitiesRequest.input_url.\nOnly present if the operation completed successfully.", "type": "string" } }, "id": "GoogleDatastoreAdminV1beta1ExportEntitiesResponse" }, "GoogleDatastoreAdminV1ImportEntitiesMetadata": { "description": "Metadata for ImportEntities operations.", "type": "object", "properties": { "common": { "$ref": "GoogleDatastoreAdminV1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." }, "progressBytes": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of bytes processed." }, "inputUrl": { "description": "The location of the import metadata file. This will be the same value as\nthe google.datastore.admin.v1.ExportEntitiesResponse.output_url field.", "type": "string" }, "entityFilter": { "description": "Description of which entities are being imported.", "$ref": "GoogleDatastoreAdminV1EntityFilter" }, "progressEntities": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of entities processed." } }, "id": "GoogleDatastoreAdminV1ImportEntitiesMetadata" }, "GqlQuery": { "id": "GqlQuery", "description": "A [GQL query](https://cloud.google.com/datastore/docs/apis/gql/gql_reference).", "type": "object", "properties": { "queryString": { "description": "A string of the format described\n[here](https://cloud.google.com/datastore/docs/apis/gql/gql_reference).", "type": "string" }, "allowLiterals": { "description": "When false, the query string must not contain any literals and instead must\nbind all values. For example,\n`SELECT * FROM Kind WHERE a = 'string literal'` is not allowed, while\n`SELECT * FROM Kind WHERE a = @value` is.", "type": "boolean" }, "namedBindings": { "description": "For each non-reserved named binding site in the query string, there must be\na named parameter with that name, but not necessarily the inverse.\n\nKey must match regex `A-Za-z_$*`, must not match regex\n`__.*__`, and must not be `\"\"`.", "type": "object", "additionalProperties": { "$ref": "GqlQueryParameter" } }, "positionalBindings": { "description": "Numbered binding site @1 references the first numbered parameter,\neffectively using 1-based indexing, rather than the usual 0.\n\nFor each binding site numbered i in `query_string`, there must be an i-th\nnumbered parameter. The inverse must also be true.", "type": "array", "items": { "$ref": "GqlQueryParameter" } } } }, "Filter": { "description": "A holder for any type of filter.", "type": "object", "properties": { "propertyFilter": { "$ref": "PropertyFilter", "description": "A filter on a property." }, "compositeFilter": { "$ref": "CompositeFilter", "description": "A composite filter." } }, "id": "Filter" }, "RunQueryRequest": { "description": "The request for Datastore.RunQuery.", "type": "object", "properties": { "partitionId": { "$ref": "PartitionId", "description": "Entities are partitioned into subsets, identified by a partition ID.\nQueries are scoped to a single partition.\nThis partition ID is normalized with the standard default context\npartition ID." }, "gqlQuery": { "$ref": "GqlQuery", "description": "The GQL query to run." }, "readOptions": { "$ref": "ReadOptions", "description": "The options for this query." }, "query": { "$ref": "Query", "description": "The query to run." } }, "id": "RunQueryRequest" }, "TransactionOptions": { "description": "Options for beginning a new transaction.\n\nTransactions can be created explicitly with calls to\nDatastore.BeginTransaction or implicitly by setting\nReadOptions.new_transaction in read requests.", "type": "object", "properties": { "readWrite": { "$ref": "ReadWrite", "description": "The transaction should allow both reads and writes." }, "readOnly": { "description": "The transaction should only allow reads.", "$ref": "ReadOnly" } }, "id": "TransactionOptions" }, "GoogleDatastoreAdminV1beta1ImportEntitiesMetadata": { "type": "object", "properties": { "common": { "description": "Metadata common to all Datastore Admin operations.", "$ref": "GoogleDatastoreAdminV1beta1CommonMetadata" }, "progressBytes": { "description": "An estimate of the number of bytes processed.", "$ref": "GoogleDatastoreAdminV1beta1Progress" }, "inputUrl": { "type": "string", "description": "The location of the import metadata file. This will be the same value as\nthe google.datastore.admin.v1beta1.ExportEntitiesResponse.output_url\nfield." }, "entityFilter": { "$ref": "GoogleDatastoreAdminV1beta1EntityFilter", "description": "Description of which entities are being imported." }, "progressEntities": { "description": "An estimate of the number of entities processed.", "$ref": "GoogleDatastoreAdminV1beta1Progress" } }, "id": "GoogleDatastoreAdminV1beta1ImportEntitiesMetadata", "description": "Metadata for ImportEntities operations." }, "Query": { "description": "A query for entities.", "type": "object", "properties": { "kind": { "description": "The kinds to query (if empty, returns entities of all kinds).\nCurrently at most 1 kind may be specified.", "type": "array", "items": { "$ref": "KindExpression" } }, "distinctOn": { "description": "The properties to make distinct. The query results will contain the first\nresult for each distinct combination of values for the given properties\n(if empty, all results are returned).", "type": "array", "items": { "$ref": "PropertyReference" } }, "order": { "type": "array", "items": { "$ref": "PropertyOrder" }, "description": "The order to apply to the query results (if empty, order is unspecified)." }, "projection": { "type": "array", "items": { "$ref": "Projection" }, "description": "The projection to return. Defaults to returning all properties." }, "endCursor": { "description": "An ending point for the query results. Query cursors are\nreturned in query result batches and\n[can only be used to limit the same query](https://cloud.google.com/datastore/docs/concepts/queries#cursors_limits_and_offsets).", "format": "byte", "type": "string" }, "limit": { "description": "The maximum number of results to return. Applies after all other\nconstraints. Optional.\nUnspecified is interpreted as no limit.\nMust be >= 0 if specified.", "format": "int32", "type": "integer" }, "filter": { "$ref": "Filter", "description": "The filter to apply." }, "offset": { "description": "The number of results to skip. Applies before limit, but after all other\nconstraints. Optional. Must be >= 0 if specified.", "format": "int32", "type": "integer" }, "startCursor": { "description": "A starting point for the query results. Query cursors are\nreturned in query result batches and\n[can only be used to continue the same query](https://cloud.google.com/datastore/docs/concepts/queries#cursors_limits_and_offsets).", "format": "byte", "type": "string" } }, "id": "Query" }, "ReadOnly": { "description": "Options specific to read-only transactions.", "type": "object", "properties": {}, "id": "ReadOnly" }, "EntityResult": { "description": "The result of fetching an entity from Datastore.", "type": "object", "properties": { "cursor": { "description": "A cursor that points to the position after the result entity.\nSet only when the `EntityResult` is part of a `QueryResultBatch` message.", "format": "byte", "type": "string" }, "version": { "type": "string", "description": "The version of the entity, a strictly positive number that monotonically\nincreases with changes to the entity.\n\nThis field is set for `FULL` entity\nresults.\n\nFor missing entities in `LookupResponse`, this\nis the version of the snapshot that was used to look up the entity, and it\nis always set except for eventually consistent reads.", "format": "int64" }, "entity": { "$ref": "Entity", "description": "The resulting entity." } }, "id": "EntityResult" }, "Value": { "properties": { "entityValue": { "description": "An entity value.\n\n- May have no key.\n- May have a key with an incomplete key path.\n- May have a reserved/read-only key.", "$ref": "Entity" }, "geoPointValue": { "$ref": "LatLng", "description": "A geo point value representing a point on the surface of Earth." }, "keyValue": { "$ref": "Key", "description": "A key value." }, "integerValue": { "description": "An integer value.", "format": "int64", "type": "string" }, "stringValue": { "type": "string", "description": "A UTF-8 encoded string value.\nWhen `exclude_from_indexes` is false (it is indexed) , may have at most 1500 bytes.\nOtherwise, may be set to at least 1,000,000 bytes." }, "excludeFromIndexes": { "description": "If the value should be excluded from all indexes including those defined\nexplicitly.", "type": "boolean" }, "doubleValue": { "description": "A double value.", "format": "double", "type": "number" }, "timestampValue": { "description": "A timestamp value.\nWhen stored in the Datastore, precise only to microseconds;\nany additional precision is rounded down.", "format": "google-datetime", "type": "string" }, "booleanValue": { "description": "A boolean value.", "type": "boolean" }, "nullValue": { "description": "A null value.", "type": "string", "enumDescriptions": ["Null value."], "enum": ["NULL_VALUE"] }, "blobValue": { "description": "A blob value.\nMay have at most 1,000,000 bytes.\nWhen `exclude_from_indexes` is false, may have at most 1500 bytes.\nIn JSON requests, must be base64-encoded.", "format": "byte", "type": "string" }, "meaning": { "description": "The `meaning` field should only be populated for backwards compatibility.", "format": "int32", "type": "integer" }, "arrayValue": { "$ref": "ArrayValue", "description": "An array value.\nCannot contain another array value.\nA `Value` instance that sets field `array_value` must not set fields\n`meaning` or `exclude_from_indexes`." } }, "id": "Value", "description": "A message that can hold any of the supported value types and associated\nmetadata.", "type": "object" }, "ReadWrite": { "description": "Options specific to read / write transactions.", "type": "object", "properties": { "previousTransaction": { "description": "The transaction identifier of the transaction being retried.", "format": "byte", "type": "string" } }, "id": "ReadWrite" }, "LookupRequest": { "description": "The request for Datastore.Lookup.", "type": "object", "properties": { "keys": { "type": "array", "items": { "$ref": "Key" }, "description": "Keys of entities to look up." }, "readOptions": { "description": "The options for this lookup request.", "$ref": "ReadOptions" } }, "id": "LookupRequest" }, "ReserveIdsRequest": { "description": "The request for Datastore.ReserveIds.", "type": "object", "properties": { "keys": { "description": "A list of keys with complete key paths whose numeric IDs should not be\nauto-allocated.", "type": "array", "items": { "$ref": "Key" } }, "databaseId": { "description": "If not empty, the ID of the database against which to make the request.", "type": "string" } }, "id": "ReserveIdsRequest" }, "GoogleDatastoreAdminV1IndexOperationMetadata": { "type": "object", "properties": { "common": { "$ref": "GoogleDatastoreAdminV1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." }, "progressEntities": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of entities processed." }, "indexId": { "description": "The index resource ID that this operation is acting on.", "type": "string" } }, "id": "GoogleDatastoreAdminV1IndexOperationMetadata", "description": "Metadata for Index operations." }, "PropertyOrder": { "description": "The desired order for a specific property.", "type": "object", "properties": { "property": { "$ref": "PropertyReference", "description": "The property to order by." }, "direction": { "enumDescriptions": ["Unspecified. This value must not be used.", "Ascending.", "Descending."], "enum": ["DIRECTION_UNSPECIFIED", "ASCENDING", "DESCENDING"], "description": "The direction to order by. Defaults to `ASCENDING`.", "type": "string" } }, "id": "PropertyOrder" }, "ReserveIdsResponse": { "type": "object", "properties": {}, "id": "ReserveIdsResponse", "description": "The response for Datastore.ReserveIds." }, "GoogleDatastoreAdminV1beta1EntityFilter": { "description": "Identifies a subset of entities in a project. This is specified as\ncombinations of kinds and namespaces (either or both of which may be all, as\ndescribed in the following examples).\nExample usage:\n\nEntire project:\n  kinds=[], namespace_ids=[]\n\nKinds Foo and Bar in all namespaces:\n  kinds=['Foo', 'Bar'], namespace_ids=[]\n\nKinds Foo and Bar only in the default namespace:\n  kinds=['Foo', 'Bar'], namespace_ids=['']\n\nKinds Foo and Bar in both the default and Baz namespaces:\n  kinds=['Foo', 'Bar'], namespace_ids=['', 'Baz']\n\nThe entire Baz namespace:\n  kinds=[], namespace_ids=['Baz']", "type": "object", "properties": { "namespaceIds": { "description": "An empty list represents all namespaces. This is the preferred\nusage for projects that don't use namespaces.\n\nAn empty string element represents the default namespace. This should be\nused if the project has data in non-default namespaces, but doesn't want to\ninclude them.\nEach namespace in this list must be unique.", "type": "array", "items": { "type": "string" } }, "kinds": { "description": "If empty, then this represents all kinds.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleDatastoreAdminV1beta1EntityFilter" }, "PropertyReference": { "description": "A reference to a property relative to the kind expressions.", "type": "object", "properties": { "name": { "description": "The name of the property.\nIf name includes \".\"s, it may be interpreted as a property name path.", "type": "string" } }, "id": "PropertyReference" }, "Projection": { "description": "A representation of a property in a projection.", "type": "object", "properties": { "property": { "description": "The property to project.", "$ref": "PropertyReference" } }, "id": "Projection" }, "Mutation": { "description": "A mutation to apply to an entity.", "type": "object", "properties": { "delete": { "description": "The key of the entity to delete. The entity may or may not already exist.\nMust have a complete key path and must not be reserved/read-only.", "$ref": "Key" }, "insert": { "description": "The entity to insert. The entity must not already exist.\nThe entity key's final path element may be incomplete.", "$ref": "Entity" }, "baseVersion": { "description": "The version of the entity that this mutation is being applied to. If this\ndoes not match the current version on the server, the mutation conflicts.", "format": "int64", "type": "string" }, "update": { "$ref": "Entity", "description": "The entity to update. The entity must already exist.\nMust have a complete key path." }, "upsert": { "$ref": "Entity", "description": "The entity to upsert. The entity may or may not already exist.\nThe entity key's final path element may be incomplete." } }, "id": "Mutation" }, "ReadOptions": { "properties": { "readConsistency": { "description": "The non-transactional read consistency to use.\nCannot be set to `STRONG` for global queries.", "type": "string", "enumDescriptions": ["Unspecified. This value must not be used.", "Strong consistency.", "Eventual consistency."], "enum": ["READ_CONSISTENCY_UNSPECIFIED", "STRONG", "EVENTUAL"] }, "transaction": { "description": "The identifier of the transaction in which to read. A\ntransaction identifier is returned by a call to\nDatastore.BeginTransaction.", "format": "byte", "type": "string" } }, "id": "ReadOptions", "description": "The options shared by read requests.", "type": "object" }, "RollbackResponse": { "type": "object", "properties": {}, "id": "RollbackResponse", "description": "The response for Datastore.Rollback.\n(an empty message)." }, "GoogleDatastoreAdminV1ExportEntitiesResponse": { "description": "The response for\ngoogle.datastore.admin.v1.DatastoreAdmin.ExportEntities.", "type": "object", "properties": { "outputUrl": { "description": "Location of the output metadata file. This can be used to begin an import\ninto Cloud Datastore (this project or another project). See\ngoogle.datastore.admin.v1.ImportEntitiesRequest.input_url.\nOnly present if the operation completed successfully.", "type": "string" } }, "id": "GoogleDatastoreAdminV1ExportEntitiesResponse" }, "GoogleDatastoreAdminV1ExportEntitiesMetadata": { "description": "Metadata for ExportEntities operations.", "type": "object", "properties": { "common": { "$ref": "GoogleDatastoreAdminV1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." }, "progressBytes": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of bytes processed." }, "entityFilter": { "$ref": "GoogleDatastoreAdminV1EntityFilter", "description": "Description of which entities are being exported." }, "outputUrlPrefix": { "description": "Location for the export metadata and data files. This will be the same\nvalue as the\ngoogle.datastore.admin.v1.ExportEntitiesRequest.output_url_prefix\nfield. The final output location is provided in\ngoogle.datastore.admin.v1.ExportEntitiesResponse.output_url.", "type": "string" }, "progressEntities": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of entities processed." } }, "id": "GoogleDatastoreAdminV1ExportEntitiesMetadata" }, "MutationResult": { "description": "The result of applying a mutation.", "type": "object", "properties": { "version": { "description": "The version of the entity on the server after processing the mutation. If\nthe mutation doesn't change anything on the server, then the version will\nbe the version of the current entity or, if no entity is present, a version\nthat is strictly greater than the version of any previous entity and less\nthan the version of any possible future entity.", "format": "int64", "type": "string" }, "conflictDetected": { "description": "Whether a conflict was detected for this mutation. Always false when a\nconflict detection strategy field is not set in the mutation.", "type": "boolean" }, "key": { "description": "The automatically allocated key.\nSet only when the mutation allocated a key.", "$ref": "Key" } }, "id": "MutationResult" }, "RollbackRequest": { "description": "The request for Datastore.Rollback.", "type": "object", "properties": { "transaction": { "type": "string", "description": "The transaction identifier, returned by a call to\nDatastore.BeginTransaction.", "format": "byte" } }, "id": "RollbackRequest" }, "GoogleDatastoreAdminV1beta1ExportEntitiesMetadata": { "description": "Metadata for ExportEntities operations.", "type": "object", "properties": { "entityFilter": { "$ref": "GoogleDatastoreAdminV1beta1EntityFilter", "description": "Description of which entities are being exported." }, "outputUrlPrefix": { "description": "Location for the export metadata and data files. This will be the same\nvalue as the\ngoogle.datastore.admin.v1beta1.ExportEntitiesRequest.output_url_prefix\nfield. The final output location is provided in\ngoogle.datastore.admin.v1beta1.ExportEntitiesResponse.output_url.", "type": "string" }, "progressEntities": { "$ref": "GoogleDatastoreAdminV1beta1Progress", "description": "An estimate of the number of entities processed." }, "common": { "description": "Metadata common to all Datastore Admin operations.", "$ref": "GoogleDatastoreAdminV1beta1CommonMetadata" }, "progressBytes": { "description": "An estimate of the number of bytes processed.", "$ref": "GoogleDatastoreAdminV1beta1Progress" } }, "id": "GoogleDatastoreAdminV1beta1ExportEntitiesMetadata" }, "CompositeFilter": { "id": "CompositeFilter", "description": "A filter that merges multiple other filters using the given operator.", "type": "object", "properties": { "filters": { "description": "The list of filters to combine.\nMust contain at least one filter.", "type": "array", "items": { "$ref": "Filter" } }, "op": { "enumDescriptions": ["Unspecified. This value must not be used.", "The results are required to satisfy each of the combined filters."], "enum": ["OPERATOR_UNSPECIFIED", "AND"], "description": "The operator for combining multiple filters.", "type": "string" } } }, "AllocateIdsResponse": { "id": "AllocateIdsResponse", "description": "The response for Datastore.AllocateIds.", "type": "object", "properties": { "keys": { "description": "The keys specified in the request (in the same order), each with\nits key path completed with a newly allocated ID.", "type": "array", "items": { "$ref": "Key" } } } }, "PropertyFilter": { "description": "A filter on a specific property.", "type": "object", "properties": { "op": { "enum": ["OPERATOR_UNSPECIFIED", "LESS_THAN", "LESS_THAN_OR_EQUAL", "GREATER_THAN", "GREATER_THAN_OR_EQUAL", "EQUAL", "HAS_ANCESTOR"], "description": "The operator to filter by.", "type": "string", "enumDescriptions": ["Unspecified. This value must not be used.", "Less than.", "Less than or equal.", "Greater than.", "Greater than or equal.", "Equal.", "Has ancestor."] }, "value": { "description": "The value to compare the property to.", "$ref": "Value" }, "property": { "$ref": "PropertyReference", "description": "The property to filter by." } }, "id": "PropertyFilter" }, "CommitResponse": { "properties": { "mutationResults": { "description": "The result of performing the mutations.\nThe i-th mutation result corresponds to the i-th mutation in the request.", "type": "array", "items": { "$ref": "MutationResult" } }, "indexUpdates": { "type": "integer", "description": "The number of index entries updated during the commit, or zero if none were\nupdated.", "format": "int32" } }, "id": "CommitResponse", "description": "The response for Datastore.Commit.", "type": "object" }, "PartitionId": { "description": "A partition ID identifies a grouping of entities. The grouping is always\nby project and namespace, however the namespace ID may be empty.\n\nA partition ID contains several dimensions:\nproject ID and namespace ID.\n\nPartition dimensions:\n\n- May be `\"\"`.\n- Must be valid UTF-8 bytes.\n- Must have values that match regex `[A-Za-z\\d\\.\\-_]{1,100}`\nIf the value of any dimension matches regex `__.*__`, the partition is\nreserved/read-only.\nA reserved/read-only partition ID is forbidden in certain documented\ncontexts.\n\nForeign partition IDs (in which the project ID does\nnot match the context project ID ) are discouraged.\nReads and writes of foreign partition IDs may fail if the project is not in an active state.", "type": "object", "properties": { "namespaceId": { "description": "If not empty, the ID of the namespace to which the entities belong.", "type": "string" }, "projectId": { "description": "The ID of the project to which the entities belong.", "type": "string" } }, "id": "PartitionId" }, "Entity": { "description": "A Datastore data object.\n\nAn entity is limited to 1 megabyte when stored. That _roughly_\ncorresponds to a limit of 1 megabyte for the serialized form of this\nmessage.", "type": "object", "properties": { "key": { "description": "The entity's key.\n\nAn entity must have a key, unless otherwise documented (for example,\nan entity in `Value.entity_value` may have no key).\nAn entity's kind is its key path's last element's kind,\nor null if it has no key.", "$ref": "Key" }, "properties": { "description": "The entity's properties.\nThe map's keys are property names.\nA property name matching regex `__.*__` is reserved.\nA reserved property name is forbidden in certain documented contexts.\nThe name must not contain more than 500 characters.\nThe name cannot be `\"\"`.", "type": "object", "additionalProperties": { "$ref": "Value" } } }, "id": "Entity" }, "QueryResultBatch": { "properties": { "moreResults": { "description": "The state of the query after the current batch.", "type": "string", "enumDescriptions": ["Unspecified. This value is never used.", "There may be additional batches to fetch from this query.", "The query is finished, but there may be more results after the limit.", "The query is finished, but there may be more results after the end\ncursor.", "The query is finished, and there are no more results."], "enum": ["MORE_RESULTS_TYPE_UNSPECIFIED", "NOT_FINISHED", "MORE_RESULTS_AFTER_LIMIT", "MORE_RESULTS_AFTER_CURSOR", "NO_MORE_RESULTS"] }, "endCursor": { "description": "A cursor that points to the position after the last result in the batch.", "format": "byte", "type": "string" }, "snapshotVersion": { "description": "The version number of the snapshot this batch was returned from.\nThis applies to the range of results from the query's `start_cursor` (or\nthe beginning of the query if no cursor was given) to this batch's\n`end_cursor` (not the query's `end_cursor`).\n\nIn a single transaction, subsequent query result batches for the same query\ncan have a greater snapshot version number. Each batch's snapshot version\nis valid for all preceding batches.\nThe value will be zero for eventually consistent queries.", "format": "int64", "type": "string" }, "skippedCursor": { "description": "A cursor that points to the position after the last skipped result.\nWill be set when `skipped_results` != 0.", "format": "byte", "type": "string" }, "skippedResults": { "description": "The number of results skipped, typically because of an offset.", "format": "int32", "type": "integer" }, "entityResultType": { "enumDescriptions": ["Unspecified. This value is never used.", "The key and properties.", "A projected subset of properties. The entity may have no key.", "Only the key."], "enum": ["RESULT_TYPE_UNSPECIFIED", "FULL", "PROJECTION", "KEY_ONLY"], "description": "The result type for every entity in `entity_results`.", "type": "string" }, "entityResults": { "type": "array", "items": { "$ref": "EntityResult" }, "description": "The results for this batch." } }, "id": "QueryResultBatch", "description": "A batch of results produced by a query.", "type": "object" }, "GoogleDatastoreAdminV1beta1Progress": { "description": "Measures the progress of a particular metric.", "type": "object", "properties": { "workEstimated": { "description": "An estimate of how much work needs to be performed. May be zero if the\nwork estimate is unavailable.", "format": "int64", "type": "string" }, "workCompleted": { "description": "The amount of work that has been completed. Note that this may be greater\nthan work_estimated.", "format": "int64", "type": "string" } }, "id": "GoogleDatastoreAdminV1beta1Progress" }, "GoogleDatastoreAdminV1Progress": { "description": "Measures the progress of a particular metric.", "type": "object", "properties": { "workEstimated": { "type": "string", "description": "An estimate of how much work needs to be performed. May be zero if the\nwork estimate is unavailable.", "format": "int64" }, "workCompleted": { "description": "The amount of work that has been completed. Note that this may be greater\nthan work_estimated.", "format": "int64", "type": "string" } }, "id": "GoogleDatastoreAdminV1Progress" }, "GoogleDatastoreAdminV1CommonMetadata": { "description": "Metadata common to all Datastore Admin operations.", "type": "object", "properties": { "labels": { "description": "The client-assigned labels which were provided when the operation was\ncreated. May also include additional labels.", "type": "object", "additionalProperties": { "type": "string" } }, "endTime": { "description": "The time the operation ended, either successfully or otherwise.", "format": "google-datetime", "type": "string" }, "operationType": { "enumDescriptions": ["Unspecified.", "ExportEntities.", "ImportEntities.", "CreateIndex.", "DeleteIndex."], "enum": ["OPERATION_TYPE_UNSPECIFIED", "EXPORT_ENTITIES", "IMPORT_ENTITIES", "CREATE_INDEX", "DELETE_INDEX"], "description": "The type of the operation. Can be used as a filter in\nListOperationsRequest.", "type": "string" }, "state": { "enumDescriptions": ["Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called\ngoogle.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called\ngoogle.longrunning.Operations.CancelOperation."], "enum": ["STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED"], "description": "The current state of the Operation.", "type": "string" }, "startTime": { "description": "The time that work began on the operation.", "format": "google-datetime", "type": "string" } }, "id": "GoogleDatastoreAdminV1CommonMetadata" }, "PathElement": { "type": "object", "properties": { "name": { "description": "The name of the entity.\nA name matching regex `__.*__` is reserved/read-only.\nA name must not be more than 1500 bytes when UTF-8 encoded.\nCannot be `\"\"`.", "type": "string" }, "kind": { "description": "The kind of the entity.\nA kind matching regex `__.*__` is reserved/read-only.\nA kind must not contain more than 1500 bytes when UTF-8 encoded.\nCannot be `\"\"`.", "type": "string" }, "id": { "description": "The auto-allocated ID of the entity.\nNever equal to zero. Values less than zero are discouraged and may not\nbe supported in the future.", "format": "int64", "type": "string" } }, "id": "PathElement", "description": "A (kind, ID/name) pair used to construct a key path.\n\nIf either name or ID is set, the element is complete.\nIf neither is set, the element is incomplete." }, "GqlQueryParameter": { "id": "GqlQueryParameter", "description": "A binding parameter for a GQL query.", "type": "object", "properties": { "cursor": { "description": "A query cursor. Query cursors are returned in query\nresult batches.", "format": "byte", "type": "string" }, "value": { "description": "A value parameter.", "$ref": "Value" } } }, "BeginTransactionResponse": { "description": "The response for Datastore.BeginTransaction.", "type": "object", "properties": { "transaction": { "description": "The transaction identifier (always present).", "format": "byte", "type": "string" } }, "id": "BeginTransactionResponse" } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest", "version": "v1beta3", "baseUrl": "https://datastore.googleapis.com/" };
//# sourceMappingURL=datastore-v1beta3.js.map